Package com.sas.lsaf.query.repository.recyclebin

## Class RecycleBinFileQuery

- java.lang.Object
- - com.sas.lsaf.query.Query
  - - com.sas.lsaf.query.repository.recyclebin.RecycleBinItemQuery
    - - com.sas.lsaf.query.repository.recyclebin.RecycleBinFileQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RecycleBinFileQuery
      extends RecycleBinItemQuery

  This class represents a query of individual files that have been deleted and are located in the recycle bin.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<Column>` | `ALL` | The value that represents all columns in `RecycleBinFileQuery`.
    `static Column` | `SIZE` | The column that represents the size (in bytes) of the latest version of the file.
    `static Column` | `TOTAL_SIZE` | The column that represents the total size (in bytes) of a file, which includes all versions if the file is versioned.
    `static Column` | `TOTAL_VERSIONS` | The column that represents the total versions of a file if the file is versioned.
    `static Column` | `VERSION` | The column that represents the latest version if the file is versioned.

    - ### Fields inherited from class com.sas.lsaf.query.repository.recyclebin.RecycleBinItemQuery

      `DELETED_BY, DELETED_DATE, ID, LAST_MODIFIED, LAST_MODIFIED_BY, PATH, TOTAL_CONTAINER_SIZE, TOTAL_FILE_SIZE, TYPE_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecycleBinFileQuery()` |

  - ### Method Summary

    - ### Methods inherited from class com.sas.lsaf.query.Query

      `constrain, getColumns, getConstraint, getOrder, includeColumnNames, isIncludeColumnNames, order, order, select, select, setColumns, setConstraint, setIncludeColumnNames, setOrder, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final Column SIZE

      The column that represents the size (in bytes) of the latest version of the file. See `TOTAL_SIZE` for total size, which includes all versions.

    - #### VERSION

          public static final Column VERSION

      The column that represents the latest version if the file is versioned.

    - #### TOTAL_VERSIONS

          public static final Column TOTAL_VERSIONS

      The column that represents the total versions of a file if the file is versioned.

    - #### TOTAL_SIZE

          public static final Column TOTAL_SIZE

      The column that represents the total size (in bytes) of a file, which includes all versions if the file is versioned.

    - #### ALL

          public static final java.util.List<Column> ALL

      The value that represents all columns in `RecycleBinFileQuery`.

  - ### Constructor Detail

    - #### RecycleBinFileQuery

          public RecycleBinFileQuery()